# `json_encode`

The `json_encode` filter returns the JSON representation of a value:

    {{ data|json_encode() }}

Note

Internally, Twig uses the PHP json_encode function.

## Arguments

- `options`: A bitmask of json_encode options: `{{ data|json_encode(constant('JSON_PRETTY_PRINT')) }}`. Combine constants using bitwise operators: `{{ data|json_encode(constant('JSON_PRETTY_PRINT') b-or constant('JSON_HEX_QUOT')) }}`